#! /bin/sh
set -e

cfg=${HOME}/Settings/i7.conf
group="group${2}"
INI_PARSER="/usr/local/bin/ini-parser"
PCAP_IFACE=$(${INI_PARSER} ${cfg} ${group} pcap_iface)

if [ $PCAP_IFACE != eth0 ]; then

PCAP_IFACE=`echo $PCAP_IFACE`

  case $PCAP_IFACE in
    portA)
      CARD_PORT=a
      ;;
  
    portB)
      CARD_PORT=b
      ;;
  
    *)
      echo "invalid interface was found in i7.conf"
      exit 1
      ;;
  esac 

  case $1 in
    on | off)
      GBE_CARDI_ARG=`/usr/local/bin/cardifaced_arg.sh gbe`
      /usr/local/bin/docommand ${GBE_CARDI_ARG} "promisc ${CARD_PORT} $1" > /dev/null 2>&1
      ;;
    *)
      echo "Argument must be on or off." 
      exit 1
      ;;
  esac

fi

